package com.siwei.rsmonitoring.domain.vo;


import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * 用于统计返回 面积和个数
 */
public class QkCountVo {

    public static class AuditflowVo {
        /**
         * 核查步骤
         */
        private String auditflowStep;
        /**
         * 成功标志 0成功 1失败
         */
        private String successType;


        public String getAuditflowStep() {
            return auditflowStep;
        }

        public void setAuditflowStep(String auditflowStep) {
            this.auditflowStep = auditflowStep;
        }

        public String getSuccessType() {
            return successType;
        }

        public void setSuccessType(String successType) {
            this.successType = successType;
        }
    }

    private List<AuditflowVo> auditflowList;
    private List<AuditflowVo> auditflowListDb;

    private Long countNumber;

    private Double countSum;

    private String startTime;

    private String endTime;
    private String xzqdm;
    private String xzqmc;
    private Set<String> xzqdms;

    //当前
    private QkCountVo dq;

    //汇总
    private QkCountVo hz;

    //占比
    private Double zb;
    /**
     * 行政区范围
     */
    private String geom;

    private Map<String, Object> hzjg;
    private Integer decide;

    public List<AuditflowVo> getAuditflowList() {
        return auditflowList;
    }

    public void setAuditflowList(List<AuditflowVo> auditflowList) {
        this.auditflowList = auditflowList;
    }

    public Long getCountNumber() {
        return countNumber;
    }

    public void setCountNumber(Long countNumber) {
        this.countNumber = countNumber;
    }

    public Double getCountSum() {
        return countSum;
    }

    public void setCountSum(Double countSum) {
        this.countSum = countSum;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Set<String> getXzqdms() {
        return xzqdms;
    }

    public void setXzqdms(Set<String> xzqdms) {
        this.xzqdms = xzqdms;
    }

    public String getXzqdm() {
        return xzqdm;
    }

    public void setXzqdm(String xzqdm) {
        this.xzqdm = xzqdm;
    }

    public QkCountVo getDq() {
        return dq;
    }

    public void setDq(QkCountVo dq) {
        this.dq = dq;
    }

    public QkCountVo getHz() {
        return hz;
    }

    public void setHz(QkCountVo hz) {
        this.hz = hz;
    }

    public Double getZb() {
        return zb;
    }

    public void setZb(Double zb) {
        this.zb = zb;
    }

    public String getGeom() {
        return geom;
    }

    public void setGeom(String geom) {
        this.geom = geom;
    }

    public String getXzqmc() {
        return xzqmc;
    }

    public void setXzqmc(String xzqmc) {
        this.xzqmc = xzqmc;
    }

    public Map<String, Object> getHzjg() {
        return hzjg;
    }

    public void setHzjg(Map<String, Object> hzjg) {
        this.hzjg = hzjg;
    }

    public List<AuditflowVo> getAuditflowListDb() {
        return auditflowListDb;
    }

    public void setAuditflowListDb(List<AuditflowVo> auditflowListDb) {
        this.auditflowListDb = auditflowListDb;
    }

    public Integer getDecide() {
        return decide;
    }

    public void setDecide(Integer decide) {
        this.decide = decide;
    }
}
